local coroutineEntity = monocle.Entity()

function onTalk(room)
  disableMovement()
  coroutine.yield(getLevel():ZoomTo(vector2(160, 90), 1.3, 4))
  say("crystalTalkSolarisLuxa")
  wait(0.5)
  player.ForceCameraUpdate = false
  player.ForceCameraUpdate = true
  wait(0.5)
  coroutine.yield(engine.Scene:ZoomBack(2))
  wait(1)
  setFlag("donk_FallenStarBlackFade",True)
  wait(1)
  say("crystalTalkSolarisLuxa2")
  wait(1)
  setFlag("teleportToMyHouse_Lux",True)
end

function onEnd(room, wasSkipped)
  player.ForceCameraUpdate = true
  getLevel():ResetZoom()
  setFlag("DonkLuxCrystal_ManStella", True)
  setFlag("crystalTalkBlackFade", false)
  enableMovement()
end